#
# Copyright (c) 2016-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

import socket
from netq_lib.common import configuration


def get_netq_hostname():
    """

    :return: Hostname based on the fqdn type (long or short)
    """
    conf_dict = configuration.get_config('netq-agent')
    fqdn = conf_dict.get('netq-agent').get('fqdn', "short")

    if fqdn.lower() == "short":
        return str(socket.gethostname().split(".")[0])
    else:
        return str(socket.gethostname())


HOSTNAME = get_netq_hostname()
